import './App.css';

import {BrowserRouter, Routes, Route} from "react-router-dom";
import Master from "./pages/Master";
import Registration from "./pages/Registration"
import Account from "./pages/Account"
import Home from "./pages/Home"
import Login from "./pages/Login"
import {useState} from "react";

function App() {
    const [loggedIn, setLoggedIn] = useState(false);

      return (
        <BrowserRouter>
          <Routes>
            <Route path="/" element={<Master loggedIn={loggedIn} setLoggedIn={setLoggedIn}/>}>
                <Route index element={<Home/>}/>
                <Route path="registration" element={<Registration/>}/>
                <Route path="account" element={<Account/>}/>
                <Route path="login" element={<Login setLoggedIn={setLoggedIn}/>}/>
            </Route>
          </Routes>
        </BrowserRouter>
      );
}

export default App;
