const Account = () => {
    const handleSubmit = async (event) => {
        event.preventDefault();
        const formData = new FormData(event.target);
        const data = {};
        formData.forEach((value, key) => {
            data[key] = value;
        });

        let response = await fetch('http://localhost:8080/account', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify(data),
        });

        console.log("clicked account, status: " + response.status);
    };

    return (
        <div className="container">
            <h1>Account</h1>
            <form id="accountForm" onSubmit={handleSubmit}>
                <label htmlFor="firstName">First Name:</label>
                <input type="text" id="firstName" name="firstName" required/><br/>

                <label htmlFor="lastName">Last Name:</label>
                <input type="text" id="lastName" name="lastName" required/><br/><br/>

                <label htmlFor="address1">Address Line 1:</label>
                <input type="text" id="address1" name="address1" required/><br/>

                <label htmlFor="address2">Address Line 2:</label>
                <input type="text" id="address2" name="address2"/><br/>

                <label htmlFor="city">City:</label>
                <input type="text" id="city" name="city" required/><br/>

                <label htmlFor="state">State:</label>
                <select id="state" name="state" required>
                    <option value="AL">Alabama</option>
                    <option value="AK">Alaska</option>
                </select><br/>

                <label htmlFor="zipCode">Zip Code:</label>
                <input type="text" id="zipCode" name="zipCode" required/><br/><br/>

                <label htmlFor="phoneNumber">Phone Number:</label>
                <input type="text" id="phoneNumber" name="phoneNumber" required/><br/>

                <label htmlFor="email">Email:</label>
                <input type="email" id="email" name="email" required/><br/><br/>

                <input type="submit" value="Submit"/>
                <input type="reset" value="Reset"/>
            </form>
        </div>

    );
};

export default Account;