import {useState} from "react";


const Login = (props) => {
    const [userName, setUserName] = useState("");
    const [password, setPassword] = useState("");
    const {setLoggedIn} = props;

    const handleSubmit = async (event) => {
        event.preventDefault();
        setLoggedIn(true);

        const requestData = {
            "userName": userName,
            "password": password
        };

        let response = await fetch('http://localhost:8080/login', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(requestData)
        });

        console.log("clicked login, status: " + response.status);
    }

    return (
        <div className="container">
            <h1>Login</h1>
            <form id="loginForm" onSubmit={handleSubmit}>
                <label htmlFor="userName">User Name:</label>
                <input
                    type="text"
                    id="userName"
                    name="userName"
                    value={userName}
                    onChange={(e => setUserName(e.target.value))}
                    required
                /><br/><br/>

                <label htmlFor="password">Password:</label>
                <input
                    type="password"
                    id="password"
                    name="password"
                    value={password}
                    onChange={(e => setPassword(e.target.value))}
                    required
                /><br/><br/>

                <input type="submit" value="Submit"/>
                <input type="reset" value="Reset"/>
            </form>
        </div>
    );
};

export default Login;